Changelog
Release Notes
Version history and recent changes to the API.
v1.0.02026-03-17
- HTTP
401now returned whenAPI-KEYheader is missing (was404) - HTTP
403now uniformly means invalid API key / project not found (was also used for "Insufficient funds") 502responses removed across all endpoints; provider errors now surfaced as400or500Idempotency-Keyheader removed fromPOST /cards/createandPOST /cards/topup— passidempotency_keyin the request body insteadPOST /users/get— request field renamed:user_id→external_user_idPOST /users/createandGET /users/getresponses now includeuser_id,project_id,usdt_balance,deposit_addresses,created_at,updated_atPOST /cardholders/create—subprovider_idandkyc_datano longer required;subprovider_codeaccepted as alternative tosubprovider_idPOST /cardholders/get— can now look up bycardholder_iddirectly; response includeskyc_level,activated_at,project_id,user_id(replacesproject_user_id)POST /cards/create—product_idno longer required;product_codeaccepted as alternative;kyc_dataadded as optional field; response now includescard_idandstatusPOST /cards/get— response now includesuser_id,project_id,external_user_id,product_code,balance,label, lifecycle timestamps (issued_at,activated_at,frozen_at,closed_at); internal IDs (project_user_id,card_product_id,subprovider_id) removedPOST /cards/freezeandPOST /cards/unfreeze— response no longer returnsorder_id; returns{success, card_id, status}insteadPOST /cards/details— sensitive fields (card_number,cvv,expiry_month/year,billing_address) moved into nesteddetailsobject; response now also includescard_idandstatusPOST /cards/balance—is_from_cachefield removed;oneOflive/cached schema collapsed to a single unified schemaPOST /cards/txs— addedslug(type filter),limit,skippagination fields; response now includestotalcount;card_idremoved from responsePOST /orders/check— response unified into single schema (wasoneOf[IssueOrder, TopupOrder, StatusChangeOrder]); type-specific fields now indata: object; addedbalance_before,balance_after,last_error,last_error_slug- All
findendpoints (/users/find,/cards/find,/cardholders/find) now returntotal,skip,limitin response POST /wh/subscriberesponse now includestitlefield- Enum schemas removed from spec (values documented inline):
CardStatus,OrderStatus,OrderType,CardHolderKYCStatus,CardHolderRegistrationStatus,CurrencyCode,KYCLevel - Webhook event payload schemas removed from spec:
WebhookCardTransactionPayload,WebhookCardTopupPayload,WebhookCardStatusChangePayload,WebhookCardOtpPayload - All DTO schemas renamed to
Verb + Nounconvention (e.g.CardCreateRequest→CreateCardRequest)